Commit 7010260d authored by Marco Clemencic's avatar Marco Clemencic
Browse files

Fix build of Gaudi with LCG_95rc1 in ATLAS context (!847)

parents 1a31a780 6b1e43e0
......@@ -2,7 +2,7 @@ cmake_minimum_required(VERSION 3.6)
# Configurable options for building Gaudi in the ATLAS software stack:
option( GAUDI_ATLAS "Enable ATLAS-specific settings" OFF )
set( GAUDI_ATLAS_BASE_PROJECT "AtlasExternals" CACHE STRING
set( GAUDI_ATLAS_BASE_PROJECT "AthenaExternals" CACHE STRING
"Name of the ATLAS base project to build Gaudi against" )
# Ensure that we can find GaudiProjectConfig.cmake
......
......@@ -224,15 +224,6 @@ include(CMakeParseArguments)
include(CMakeFunctionalUtils)
include(BinaryTagUtils)
find_package(PythonInterp 2.7)
find_package(Boost)
if((Boost_VERSION GREATER 106700) OR (Boost_VERSION EQUAL 106700))
set(boost_python_version "${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR}")
else()
set(boost_python_version "")
endif()
#-------------------------------------------------------------------------------
# gaudi_project(project version
# [USE proj1 vers1 [proj2 vers2 ...]]
......@@ -331,6 +322,15 @@ macro(gaudi_project project version)
enable_testing()
endif()
#-- Set up the boost_python_version variable for the project
find_package(PythonInterp 2.7)
find_package(Boost)
if((Boost_VERSION GREATER 106700) OR (Boost_VERSION EQUAL 106700))
set(boost_python_version "${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR}")
else()
set(boost_python_version "")
endif()
#--- Allow installation on failed builds
add_custom_target(unsafe-install
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_BINARY_DIR}/cmake_install.cmake)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment